Subject: bug#16402: 24.3.50; Document nadvice.el stuff in Elisp manual before Emacs 24.4

From: Daniel Colascione <[email-masked]>
Date: Thu, 09 Jan 2014 19:39:33 -0800

On 01/09/2014 07:28 PM, Leo Liu wrote:
> On 2014-01-10 10:29 +0800, Andy Moreton wrote:
>> As the author of nadvice.el, I would have thought that it was incumbent
>> upon you to provide adequate documentation. A rationale to explain why
>> the existing advice package needs changing would also be helpful.
>
> In Stefan's defence this is him saying help me out. I am sure as the
> maintainer of emacs he has plenty in his plate that some lower-priority
> tasks may have to fall in others hands ;)

It'd be easier to document nadvice if there were a clear reason for it 
to exist. Regular advice works fine and has for a long time. It's very 
well documented has many useful features. It integrates with help. It 
supports various interactive commands. I have no plans to use nadvice 
myself any time soon and oppose deprecating regular advice.